using VeterinaryContracts.BindingModels;
using VeterinaryContracts.SearchModels;
using VeterinaryContracts.ViewModels;

namespace VeterinaryContracts.StorageContracts
{
	public interface IOwnerStorage
	{
		List<OwnerViewModel> GetFullList();
		List<OwnerViewModel> GetFilteredList(OwnerSearchModel model);
		OwnerViewModel? GetElement(OwnerSearchModel model);
		OwnerViewModel? Insert(OwnerBindingModel model);
		OwnerViewModel? Update(OwnerBindingModel model);
		OwnerViewModel? Delete(OwnerBindingModel model);
	}
}
